# NodeCryptoRipemd160Digest | Stacks.js 1.0.0 Library Reference
Documentation for Stacks.js 1.0.0 Library Reference

### Hierarchy

- NodeCryptoRipemd160Digest

### Implements

- Ripemd160Digest

## Index

### Constructors

- constructor

### Properties

- nodeCryptoCreateHash

### Methods

- digest

## Constructors

### constructor

- new NodeCryptoRipemd160Digest(nodeCryptoCreateHash: NodeCryptoCreateHash ): NodeCryptoRipemd160Digest

- - Defined in packages/encryption/src/hashRipemd160.ts:24

  #### Parameters

  - ##### nodeCryptoCreateHash: NodeCryptoCreateHash

  #### Returns NodeCryptoRipemd160Digest

## Properties

### nodeCryptoCreateHash

nodeCryptoCreateHash: NodeCryptoCreateHash

- Defined in packages/encryption/src/hashRipemd160.ts:24

## Methods

### digest

- digest(data: Buffer): Buffer

- Implementation of Ripemd160Digest.digest

  - Defined in packages/encryption/src/hashRipemd160.ts:30

  #### Parameters

  - ##### data: Buffer

  #### Returns Buffer

Generated using TypeDoc